import React, { useEffect, useState } from "react";
import { SurveyCreatorComponent, SurveyCreator } from "survey-creator-react";
import "survey-core/defaultV2.min.css";
import "survey-creator-core/survey-creator-core.min.css";

import { Serializer } from "survey-core";
Serializer.addProperty("itemvalue", "customDescription:text");
Serializer.addProperty("question", "hideCheckboxLabels:boolean");


const creatorOptions = {
    showLogicTab: true,
    isAutoSave: true
};

export function SurveyCreatorWidget() {
    const [defaultJson, setDefaultJson] = useState({});

    useEffect(() => {
        async function getSurveyJson() {
            const response = await fetch("/survey-json");
            if (response.ok) {
                const surveyJson = await response.json();
                setDefaultJson(surveyJson);
            }
        }

        getSurveyJson().catch(console.error);
    }, []);

    const creator = new SurveyCreator(creatorOptions);
    creator.text = JSON.stringify(defaultJson);

    return (
        <SurveyCreatorComponent creator={creator} />
    )
}