"""add user model

Revision ID: 030134b436a9
Revises: 366171c7ba9e
Create Date: 2023-06-22 14:39:18.161089

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '030134b436a9'
down_revision = '366171c7ba9e'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'user',
        sa.Column('id', sa.Uuid(), nullable=False),
        sa.Column('active', sa.Boolean(), nullable=False),
        sa.Column('roles', sa.Enum('admin', 'user', name='roles'), nullable=False),
        sa.Column('email', sa.String(), nullable=False),
        sa.Column('fullname', sa.String(), nullable=False),
        sa.Column('oidc_sub', sa.String(), nullable=False),
        sa.Column('created_at', sa.DateTime(), nullable=False),
        sa.Column('last_login', sa.DateTime(), nullable=False),
        sa.PrimaryKeyConstraint('id', name=op.f('pk_user'))
    )
    op.create_table(
        'user_nren_member',
        sa.Column('user_id', sa.Uuid(), nullable=True),
        sa.Column('nren_id', sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(['nren_id'], ['nren.id'], name=op.f('fk_user_nren_member_nren_id_nren')),
        sa.ForeignKeyConstraint(['user_id'], ['user.id'], name=op.f('fk_user_nren_member_user_id_user'))
    )


def downgrade():
    op.drop_table('user_nren_member')
    op.drop_table('user')
