"""Use 256 strings

Revision ID: 4b531785f8d4
Revises: 8298b45f8e3d
Create Date: 2025-01-22 14:54:42.695483

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '4b531785f8d4'
down_revision = '8298b45f8e3d'
branch_labels = None
depends_on = None


def upgrade():
    with op.batch_alter_table('nren', schema=None) as batch_op:
        batch_op.alter_column(
            'name',
            existing_type=sa.VARCHAR(length=128),
            type_=sa.String(length=256),
            existing_nullable=False)

    with op.batch_alter_table('nren_service', schema=None) as batch_op:
        batch_op.alter_column(
            'service_key',
            existing_type=sa.VARCHAR(length=128),
            type_=sa.String(length=256),
            existing_nullable=False)

    with op.batch_alter_table('parent_organization', schema=None) as batch_op:
        batch_op.alter_column(
            'organization',
            existing_type=sa.VARCHAR(length=128),
            type_=sa.String(length=256),
            existing_nullable=False)

    with op.batch_alter_table('service', schema=None) as batch_op:
        batch_op.alter_column(
            'name_key',
            existing_type=sa.VARCHAR(length=128),
            type_=sa.String(length=256),
            existing_nullable=False)

    with op.batch_alter_table('sub_organization', schema=None) as batch_op:
        batch_op.alter_column(
            'organization',
            existing_type=sa.VARCHAR(length=128),
            type_=sa.String(length=256),
            existing_nullable=False)
        batch_op.alter_column(
            'role',
            existing_type=sa.VARCHAR(length=128),
            type_=sa.String(length=256),
            existing_nullable=False)


def downgrade():
    with op.batch_alter_table('sub_organization', schema=None) as batch_op:
        batch_op.alter_column(
            'role',
            existing_type=sa.String(length=256),
            type_=sa.VARCHAR(length=128),
            existing_nullable=False)
        batch_op.alter_column(
            'organization',
            existing_type=sa.String(length=256),
            type_=sa.VARCHAR(length=128),
            existing_nullable=False)

    with op.batch_alter_table('service', schema=None) as batch_op:
        batch_op.alter_column(
            'name_key',
            existing_type=sa.String(length=256),
            type_=sa.VARCHAR(length=128),
            existing_nullable=False)

    with op.batch_alter_table('parent_organization', schema=None) as batch_op:
        batch_op.alter_column(
            'organization',
            existing_type=sa.String(length=256),
            type_=sa.VARCHAR(length=128),
            existing_nullable=False)

    with op.batch_alter_table('nren_service', schema=None) as batch_op:
        batch_op.alter_column(
            'service_key',
            existing_type=sa.String(length=256),
            type_=sa.VARCHAR(length=128),
            existing_nullable=False)

    with op.batch_alter_table('nren', schema=None) as batch_op:
        batch_op.alter_column(
            'name',
            existing_type=sa.String(length=256),
            type_=sa.VARCHAR(length=128),
            existing_nullable=False)
