"""Initial DB with proper types

Revision ID: b70ada054046
Revises:
Create Date: 2023-03-27 17:48:46.164991

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'b70ada054046'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'budgets',
        sa.Column('nren', sa.String(length=128), nullable=False),
        sa.Column('year', sa.Integer(), nullable=False),
        sa.Column('budget', sa.Numeric(asdecimal=False), nullable=False),
        sa.PrimaryKeyConstraint('nren', 'year')
    )
    op.create_table(
        'funding_source',
        sa.Column('nren', sa.String(length=128), nullable=False),
        sa.Column('year', sa.Integer(), nullable=False),
        sa.Column('client_institutions', sa.Numeric(
            asdecimal=False), nullable=False),
        sa.Column('european_funding', sa.Numeric(
            asdecimal=False), nullable=False),
        sa.Column('gov_public_bodies', sa.Numeric(
            asdecimal=False), nullable=False),
        sa.Column('commercial', sa.Numeric(asdecimal=False), nullable=False),
        sa.Column('other', sa.Numeric(asdecimal=False), nullable=False),
        sa.PrimaryKeyConstraint('nren', 'year')
    )


def downgrade():
    op.drop_table('funding_source')
    op.drop_table('budgets')
